/***************************************************************************
 *   Copyright (C) 2004 by Jens Luetkens                                   *
 *   j.luetkens@limitland.de                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef KWIN_COMIX_H
#define KWIN_COMIX_H

#include <kdecoration.h>
#include <kdecorationfactory.h>

namespace COMIX {

class ComixButton;

class ComixHandler : public KDecorationFactory
{

public:

	ComixHandler();
	~ComixHandler();

    virtual					bool reset(unsigned long changed);
    virtual KDecoration*	createDecoration(KDecorationBridge *b);
/*
	// diabled for KDE 3.3
    virtual bool			supports( Ability ability );
*/

    QValueList< ComixHandler::BorderSize >  borderSizes() const;
    static int  			borderSize() { return m_borderSize; }
    static int  			penWidth() { return m_penWidth; }

private:

    bool			m_initialized;
	static int		m_borderSize, m_penWidth;
	
};

} // namespace COMIX

#endif
